

	function tischAuswaehlen(tischId, disableIndicator=false){

		addedFunction=false;
		if(disableIndicator == 'disabled'){
			if(takeOtherTable == 'ja'){
				openGeneralDialog('tischUebernehmen', 'Tisch ist zugeordnet', 'Bestätigen sie um den zugeordneten Tisch,  '+tischId+' zu übernehmen.', 'wrapper', tischId); 
				return false;
			}
			else return false;
		}
		else if(disableIndicator=='confirmTischUebernehmen'){
			addedFunction=disableIndicator;
		}
		
		if( $("#setTargetHiddenField").length && $("#setTargetHiddenField").val()=='setTargetTable') {
			targetTischId=tischId;
			aktuelleTischId=$("#currentTableId").val();
			moveTotalTable(aktuelleTischId, targetTischId);	
		}
		
		else if( $("#setTargetHiddenField").length && $("#setTargetHiddenField").val()=='setByMoveTableDetail') {
			targetTischId=tischId;			
			$.ajax({
					type: "POST",
					url: "include/ajax_functions_gastro.php",
					dataType : "html",
					data: { functionKey:'moveToTableDetail', targetTable:targetTischId, addedFunction:addedFunction	} ,
					async: true,
					success:function(response){	
						window.location.href=window.location.href;		
						tische_anzeigen(false);			// wenn false gesetzt wird der erste raum (reihenfolge) angezeigt
					}
			});	
		}
		else{
			aktuelleTischId=tischId;
			$.ajax({
					type: "POST",
					url: "ajax_funktionen_kp.php",
					dataType : "html",
					data: { functionKey:'setSession', posVersion:'gastro', tableId:aktuelleTischId, warenkorbId:aktuelleTischId, addedFunction:addedFunction 	} ,
					async: true,
					success:function(response){	
						if (response.toLowerCase().indexOf('success') !== -1){
						window.location.replace("kassieren.php");
						}
					}
				});
		}
		
		
		
	}
	
	
	function beilagen_aendern(beilagenName, beilagenPreisNetto, beilagenPreisBrutto){
		operation=$("#gastroBeilagenoperationsStatus").val();
		currentVal=$("#beilagenSum").val();
		currentValBrut=$("#beilagenSumBrutto").val();
		if(operation == 'minus' ){
			prevVal=$("#beilagenTxtFieldMinus").val();
			if(prevVal.indexOf(beilagenName) !== -1 ) return false;
			if(prevVal != "")  $("#beilagenTxtFieldMinus").val(prevVal+"; "+beilagenName);
			else $("#beilagenTxtFieldMinus").val(beilagenName);
				// auslesen Beilagen berechnen
				calcPrice=(currentVal*1)-(beilagenPreisNetto*1);
				calcPriceBrut=(currentValBrut*1)-(beilagenPreisBrutto*1);
		}
		else if (operation == 'plus' ) {
			prevVal=$("#beilagenTxtFieldPlus").val();
			if(prevVal.indexOf(beilagenName) !== -1 ) return false;
			if(prevVal != "")  $("#beilagenTxtFieldPlus").val(prevVal+"; "+beilagenName);
			else $("#beilagenTxtFieldPlus").val(beilagenName);
			// auslesen Beilagen berechnen				
				calcPrice=(currentVal*1)+(beilagenPreisNetto*1);
				calcPriceBrut=(currentValBrut*1)+(beilagenPreisBrutto*1);				
		}			
		else return false;
		
		if(beilagenKalkulation == 'ja'){
			$("#editieren_brutto").prop('disabled', true).css({"background":"#aaa", "color":"#666"			});
		}

		$("#beilagenSum").val(calcPrice);
		$("#beilagenSumBrutto").val(calcPriceBrut);
			dispplayPrice=calcPriceBrut.toFixed(2).replace('.', ',');
		$("#beilagenSumBruttoDisplay").val(dispplayPrice);																		
	}
	
	function beilagenStrechCont(zz){
		if($("#gastroBeilagenStrechStatus").val() == 'nNormal'	){		
			$("#zahlen_mitte_edit").css({ "height":"30%" });
			$("#artikelArtSelectDiv").css({ "height":"35%" });
			
			$(".ganze_zeile_editmodal_gastro").css({ "height":"16%" });
			$(".editierenZiffernblock").css({ "display":"none" });		
			$(".modal_editieren_button_div").css({ "margin-top":"5%" }).addClass('editStrechModeButton');
			$(".editStrechM").addClass('editStrechMode').removeClass('editStrechModeNone');
			$("#beilagen_container").css({ "height":"62%" });
			$("#gastroBeilagenStrechStatus").val('streched');

		}
		else if($("#gastroBeilagenStrechStatus").val() == 'streched'	){
			resetStrech();
		}
		
		
	}
		// resetStrech wird auch beim aufruf vom edit modal aufgerufen
	function resetStrech(){
		$("#zahlen_mitte_edit").css({ "height":"60%" });
			$("#artikelArtSelectDiv").css({ "height":"15%" });
			$(".ganze_zeile_editmodal_gastro").css({ "height":"12%" });
			$(".editierenZiffernblock").css({ "display":"block" });
			$(".modal_editieren_button_div").css({ "margin-top":"-1%" });
			$(".editStrechM").addClass('editStrechModeNone').removeClass('editStrechMode');
			$("#artikelArtSelectDiv, .modal_editieren_button_div").removeClass('editStrechModeButton');
			$("#beilagen_container").css({ "height":"32%" });
			$("#gastroBeilagenStrechStatus").val('nNormal');
	}
	
	function beilagenOperation(direction){			
		$("#gastroBeilagenoperationsStatus").val(direction);
		$(".beilagenEditBut").css({"background":"#ddd" });			
		if($("#gastroBeilagenoperationsStatus").val() == 'minus') $("#beilagenEditButMinus").css({"background":buttonColor });
		if($("#gastroBeilagenoperationsStatus").val() == 'plus') $("#beilagenEditButPlus").css({"background":buttonColor });	
	}
	
	
	function setArtikelArt(artikelArtId, buttonId){	
		$("#artikelArtSelectDiv > button").removeClass('editierenArtikelArtSelBut_selected').addClass('editierenArtikelArtSelBut');
		if(artikelArtId > 0)$("#"+buttonId).removeClass('editierenArtikelArtSelBut').addClass('editierenArtikelArtSelBut_selected');
		$("#artSelectedVal").val(artikelArtId);

	//	alert(artikelArtId+" -- "+buttonId);
	
	}
	
	function getBeilagenSubGroup(beilagenGroupId, beilagenGroupParentId=false){
		//console.log("getBeilagenSubGroup aufgerufen. beilagenGroupId: "+beilagenGroupId+", beilagenGroupParentId: "+beilagenGroupParentId);
							//data: { functionKey:'getBeilagenSubGroup', beilagenGroupId:beilagenGroupId	} ,
		$.ajax({
					type: "POST",
					url: "include/ajax_functions_gastro.php",
					dataType : "html",
					data: { functionKey:'getBeilagenGroup', beilagenGroupId:beilagenGroupId, beilagenGroupParentId:beilagenGroupParentId	} ,
					async: true,
					success:function(ajaxResponse){	
						$("#beilagen_container").html(ajaxResponse);
						//console.log("-----"+beilagenGroupId+"\n"+ajaxResponse);
					}
				});
		
	
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	